get
/api/v2/shopping/items/{id}Return one shopping result item with prompt and response context.
Return one shopping result item with prompt and response context.
Requires bearer API key
Parameters
X-Project-Id
header
Required for organization-wide API keys on project-scoped endpoints. Project-scoped keys infer the project automatically.
Schema: string
id
path / required
No description provided.
Schema: string
Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"productName": {
"type": "string"
},
"productKey": {
"type": "string",
"nullable": true
},
"price": {
"type": "string",
"nullable": true
},
"priceAmount": {
"type": "number",
"nullable": true
},
"currency": {
"type": "string",
"nullable": true
},
"merchantDomain": {
"type": "string",
"nullable": true
},
"rating": {
"type": "number",
"nullable": true
},
"reviewsCount": {
"type": "integer",
"nullable": true
},
"position": {
"type": "integer",
"nullable": true
},
"sourceModel": {
"type": "string",
"nullable": true
},
"sourceLabel": {
"type": "string"
},
"sourceTone": {
"type": "string"
},
"providerRunId": {
"type": "string",
"nullable": true
},
"executionModel": {
"type": "string",
"nullable": true
},
"observedAt": {
"type": "string",
"format": "date-time"
},
"extractedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"rawCard": {
"type": "object",
"additionalProperties": true,
"nullable": true
},
"responseId": {
"type": "string",
"nullable": true
},
"promptId": {
"type": "string",
"nullable": true
},
"promptText": {
"type": "string",
"nullable": true
},
"promptType": {
"type": "string",
"nullable": true
},
"promptIntent": {
"type": "string",
"nullable": true
},
"responseText": {
"type": "string",
"nullable": true
},
"visibilityScore": {
"type": "integer",
"nullable": true
},
"sentimentScore": {
"type": "integer",
"nullable": true
},
"responseReceivedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"related": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string"
},
"price": {
"type": "string",
"nullable": true
},
"merchantDomain": {
"type": "string",
"nullable": true
},
"rating": {
"type": "number",
"nullable": true
},
"reviewsCount": {
"type": "integer",
"nullable": true
},
"position": {
"type": "integer",
"nullable": true
},
"sourceModel": {
"type": "string",
"nullable": true
},
"sourceLabel": {
"type": "string"
},
"sourceTone": {
"type": "string"
},
"providerRunId": {
"type": "string",
"nullable": true
},
"executionModel": {
"type": "string",
"nullable": true
},
"observedAt": {
"type": "string",
"format": "date-time"
},
"promptText": {
"type": "string",
"nullable": true
}
},
"required": [
"id",
"price",
"merchantDomain",
"rating",
"reviewsCount",
"position",
"sourceModel",
"sourceLabel",
"sourceTone",
"providerRunId",
"executionModel",
"observedAt",
"promptText"
]
}
}
},
"required": [
"id",
"productName",
"price",
"merchantDomain",
"observedAt",
"related"
]
}404
Shopping item not found.
application/json{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
}
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.